at.chipkarte.client.elgaad.soap

## Class Tagesdosierung

- Object
- - at.chipkarte.client.elgaad.soap.Tagesdosierung

-     public class Tagesdosierung
      extends Object

  Angaben zur Tagesdosierung.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob die Angabe zur Tagesdosierung zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tagesdosierung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dosis` | `getDosis()` Angaben zur Dosis.
    `String` | `getFrequenz()` Zeitraum, für den die Dosis in doseQuantity vorgesehen ist.
    `void` | `setDosis(Dosis dosis)`
    `void` | `setFrequenz(String frequenz)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tagesdosierung

          public Tagesdosierung()

  - ### Method Detail

    - #### getDosis

          public Dosis getDosis()

      Angaben zur Dosis. Siehe `Dosis`.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      Returns:
        Dosis.

    - #### setDosis

          public void setDosis(Dosis dosis)

    - #### getFrequenz

          public String getFrequenz()

      Zeitraum, für den die Dosis in doseQuantity vorgesehen ist.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_MedikationFrequenz_VS
      Returns:
        Einnahmefrequenz.

    - #### setFrequenz

          public void setFrequenz(String frequenz)